<template>
  <tutor-reviewer-base-layout>
    <template #above-subscriptions>
      <v-list
        dense
      >
        <v-list-item
          v-for="(item, i) in subGeneralNavItems"
          :key="i"
          :to="item.route"
        >
          <v-list-item-action>
            <v-icon>{{ item.icon }}</v-icon>
          </v-list-item-action>
          <v-list-item-content>
            <v-list-item-title>
              {{ item.name }}
            </v-list-item-title>
          </v-list-item-content>
        </v-list-item>
      </v-list>
    </template>
  </tutor-reviewer-base-layout>
</template>

<script>
import TutorReviewerBaseLayout from '@/pages/base/TutorReviewerBaseLayout'

export default {
  name: 'ReviewerLayout',
  components: { TutorReviewerBaseLayout },
  data () {
    return {
      subGeneralNavItems: [
        {
          name: 'Participants',
          route: '/participant-overview',
          icon: 'people'
        },
        {
          name: 'Tutors',
          route: { name: 'tutor-overview' },
          icon: 'people'
        }
      ]
    }
  }
}
</script>

<style scoped>
</style>
